.login-body{background:linear-gradient(rgba(29, 78, 138, 0.6),rgba(29, 78, 138, 0.6)),url('../images/bg1.jpg');background-size:100% 100%;height:100vh;display:flex;align-items:center;justify-content:center}
.login-body .login-card{background-color:rgba(17, 27, 105,.6);border:none;border-radius:12px;padding:2rem;color:#fff;box-shadow:0 4px 12px rgba(0,0,0,.3);width:100%;max-width:400px}
.login-body .form-control{background-color:#dfe6f3;border:none;color:#000}
.login-body .form-control:focus{box-shadow:none;border-color:#111b69}
.login-body .btn-navy{background-color:#ffc000;color:#000;font-weight: 500;}
.login-body .btn-navy:hover{background-color:#ffc000}
.login-body .footer{text-align:center;margin-top:1rem;font-size:.9rem;color:#c3c3c3}
body{background-color: #efefef;}
.navbar{background-color: #111b69 !important; color: #fff !important;}
.navbar-brand{color: #fff !important;}
.search-bar{width: 25%;margin-right: 15px;;}
.h-86vh{min-height: 82vh;height: auto;}
.main-section{width: 75%;}
.card, .card-body{border-radius: 8px;}
.search-info .form-group{margin:15px;}
.form-group label{color:rgb(75, 85, 99);font-size: 14px;font-weight: 500;}
.search-info{height: 62vh;overflow-y: auto;}
.y-color{color: #ffc000;}
.p-name{color:#fff;padding-left:5px}
.mb-22px{margin-bottom: 22px;}
.btn-primary{background-color:#ffc000;color:#000;padding:6px 30px;font-weight: 500;border-color: #ffc000;}
.btn-primary:hover, .btn-primary:active, .btn-primary:focus{background-color:#ffc000 !important;border-color: #ffc000;color:#000;}
.btn-outline-primary{border:1px solid #000 !important; color:#000 !important;padding:3px 15px !important;
  background: #fff !important;outline: none;}
.btn-outline-primary:hover{border:1px solid #ffc000 !important; color:#000 !important;background-color:#ffc000 !important;}
.view-btn{background: #EDEEF1;padding:6px;border-radius: 4px;height:40px}
.view-btn:hover{background-color:#d4d6e1 !important}
.view-btn img{width:20px;position: relative;top:-2px}
.btn-clear{background-color:transparent;color:#5F6368;padding:6px 25px;font-weight: 500;border:1px solid #111b69;margin-left:15px}
.k-grid td{padding: .7em .6em !important;}
.k-header>.k-grid-filter, .k-header>.k-header-column-menu{position: relative;top:1px !important}
.k-pager-numbers .k-link.k-state-selected{color: #111b69 !important;background-color: rgba(29, 78, 138, 0.2) !important}
.k-icon:before{color:#111b69 !important}
.flatpickr-input {
  padding-right: 30px;
  background: url('../images/cal.svg') no-repeat right 10px center;
  background-size: 20px 20px;
  cursor: pointer;
}
.form-control:disabled, .form-control[readonly]{background-color: #fff !important;}


/*** Input and Select ***/

.type_incident input,.type_incident select{background-color:#fff;border:1px solid #ccc;display:inline-block;height:20px;padding:.375rem 2.25rem .375rem .75rem;margin-bottom:10px;font-size:14px;line-height:20px;color:#212529;vertical-align:middle;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px}
.type_incident div.data-list-input{position:relative;height:26px;margin-bottom:10px;display:inline-flex;padding:5px 0}
input.data-list-input{padding:.375rem 2.25rem .375rem .75rem;border-width:1px;margin:0;border-right:none}
.type_incident select.data-list-input{position:absolute;top:5px;left:0;margin-bottom:0;width:100%;height:38px;font-size:1rem}
.type_incident input.data-list-input{position:absolute;top:5px;left:0;width:85%;padding:.375rem 2.25rem .375rem .75rem;color:#212529;border-width:1px;margin:0;height:38px;outline:0;font-size:1rem;border-radius:4px 0 0 4px}


.file-upload {
  display: flex;
  flex-direction: column;
  max-width: 100%;
}


.custom-file-input {
  position: relative;
  width: 100%;
  height: 40px;
}

.custom-file-input input[type="file"] {
  opacity: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  cursor: pointer;
}

.file-display {
  display: flex;
  align-items: center;
  border: 1px solid #ccc;
  border-radius: 4px;
  overflow: hidden;
}

.file-name {
  flex-grow: 1;
  padding: 8px;
  background-color: #fff;
  font-size: 14px;
  color: #555;
}

.file-button {
  padding: 8px 30px;
  background-color: #111b69 ;
  border-left: 1px solid #111b69 ;
  font-size: 14px;
  white-space: nowrap;color:#fff
}


.cust-modal-width {
    max-width: 95vw;
    width: 95vw;
}
.cust-modal-header {
    padding: 0.3rem 1rem;         /* Reduce vertical and horizontal padding */
}
.height95vh{
    height: 95vh;
}
.height80vh{
    height: 80vh;
}
.cust-modal-header .modal-title {
    font-size: 1rem;              /* Smaller title font */
    line-height: 1.2;             /* Tighter line spacing */
}

.cust-modal-header .btn-close {
    margin-top: 0.1rem;           /* Align close button better */
    scale: 0.9;                   /* Slightly reduce button size */
}


.label-blue {
    color: #101768 !important;
}


.section1 {
    background-color: #e3f2fd;
}  /* Light Blue */
.section2 {
    background-color: #e8f5e9;
}  /* Light Green */
.section3 {
    background-color: #fff8e1;
}  /* Light Yellow */
.section4 {
    background-color: #fce4ec;
}  /* Light Pink */

.form-group {
    margin-bottom: 20px;
    padding: 15px;
    border-radius: 12px;
}

.modal-message {
    color: red;
    font-size: 16px;
    font-weight: bold;
}

.icon-top-adjusted {
    position: relative;
    top: -2px;
}
.custom-height-410 {
    height: 410px;
}
.full-width {
    width: 100%;
}
.text-white {
    color: #fff !important;
}
.cursor-pointer {
    cursor: pointer;
}